require( "scripts/style.lua" );

MakeDialog
{
	FadeWindow
  {
    name = "yesno_menu",
    x = 0, y = 0,
		w = ScreenWight, h = ScreenHeight,

	    Bitmap
	    {
		    image="menu/dialog",
		    x=kCenter,
		    y=kCenter,
		   },

    Text
		{
		  font = HeaderFont,
      flags = kVAlignCenter + kHAlignCenter,
      x=kCenter,y=150,w=380,h=100,
			name = "yesnotitle",
			label= "quitmenutitle",
		};
		
		Text
		{
		  font = DialogBodyFont,
      flags = kVAlignTop + kHAlignCenter,
      x=kCenter,y=300,w=320,h=200,
			name = "yesnobody",
			label= "menuconfirm",
		};

      SetStyle(MenuButtonOk),
      Button
      {
			command=
				function()
				--CloseFade("yesno_menu","CloseWindow('yes')");
				CloseGameToMenu();
				end;
        flags = 5,
        name = yesname,
        x = kCenter-120,
        y = 360+100,
       },
        
      SetStyle(MenuButtonCross),
      Button
      {
			command=
				function() 
				CloseFade("yesno_menu","CloseWindow('no')");
				end;
				 cancel=true,
				  default=true,
        flags = 5,
        name = noname,
        x = kCenter+120,
        y = 360+100,
       },
        
    };

} -- MakeDialog
